<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}
// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CGlobalHooks extends CPlugin{
	
	var $tplvars; 

	function __construct() {
		//$this->CPlugin($db, $tables , $templates);
	}


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function SetModule(&$module) {
		$this->module_data = $module;

		if ($this->plugins["users"]) {
			$this->plugins["users"]->ModulePermissions($module);
		}
		
	}

	
	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Execute() {
		
		foreach ($this->plugins as $key => $val) {
			if (method_exists($this->plugins[$key] , "onGlobalHooksExecute")) {
				$this->plugins[$key]->onGlobalHooksExecute($this->module_data);
			}			
		}

	}
	
}

?>